Description

Hi

| am using both the Harmonized BHPS and the Understanding society for a study related to the motherhood wage gap. What | would
need is the exact year of birth of the first child of each mother trying to reduce the missing values to the minimum. | tried the code
that Alita provide in post #947 but this code, for some reason, does not work for the BHPS even if, of course, | change the name of
the variables (for example mnpid to mnpid_bh). Do you have any suggestions on how | can proceed? Also, did | understand it
correctly? Does pidp (indall) provides the child identifier? Does birthy (indall) provide the birth year of the child? and does mnpid
provide the birth year of the mother?

Moreover, | saw that the BHPS provides a variable gfvoc related to the vocational background of the respondent. | was wondering:
1) does it refer to the highest qualification achieved? Or is it the variable just indicating that one of the qualifications achieved by the
individual is a vocational qualification without referring to the highest qualification achieved?

2) is there any similar variable in Understanding society? if there is none is there any way | could derive this information? | noticed
that not even the variable isced is included in US...

Thank you so much

Looking forward to hearing from you,

Maria

History

#1 - 02/21/2020 09:18 PM - Stephanie Auty
- Status changed from New to Feedback
- Assignee set to Maria Petrillo

- % Done changed from 0 to 60

Dear Maria,

It is not necessary to change mnpid to mnpid_bh, as all individuals from BHPS now have a pidp in the harmonised data. What | do notice you will
need to change in Alita's code is every time is says "w' you will need to write b'w'. Also, as the files are now downloaded into separate folders for
each wave, you will either need to edit the file path to take account of this (using strpos) or putting all the files into one folder.

hiqual_dv is the best qualification variable to use and is available for all waves.

We have collected the data for isced in Wave 9, but it is not yet derived. You would be able to derive it yourself but all the information needed is not
available in the waves before Wave 9.

Best wishes,
Stephanie

#2 - 02/21/2020 09:18 PM - Stephanie Auty

- Private changed from Yes to No

#3 - 02/22/2020 09:44 AM - Maria Petrillo

Dear Stephanie

thank you for your quick reply. However, | have already tried to change Alina's code by adding b before "w' (and | have already put all the files into
one folder), but when | run the do file | have a problem with the variable "bm_birthy". In particular, the commands generate a variable "bm_birthy" with
all missing values. So i end up having no information on the year of birth of the mother.

For how it concern hiqual_dv | don't understand how to derive the vocational background from this variable. If | am not wrong hiqual_dv is a
categorical variable with the following categories:

Degree

04/09/2024 1/3



https://iserredex.essex.ac.uk/support/issues/947

-Other-higher
-Adevel-ete
GSCE etc

- Other qual
-No qual

which does not tell me much about the vocational background. Ideally, | would like to derive a variable like gfvoc or isced in the HBPS.
Any suggestions will be very much appreciated.

Thank you,
Maria

#4 - 03/02/2020 06:15 PM - Stephanie Auty

Dear Maria,

We have w_gfvoc1-16 in Understanding Society, which could be used to derive a variable similar to bw_gfvoc, but please check the question wording,
universe and available responses are close enough for your purposes.

I'm not sure what could cause the problem you have with bw_birthy. Does it only happen in Wave 13?

Best wishes,
Stephanie

#5 - 03/09/2020 03:11 PM - Maria Petrillo

Dear Stephanie,

thank you for your reply.

| tried to generate a variable from w_gfvoc1-16 and it worked. | was able to create a dummy variable equal to 1 if the individual has a vocational
qualification, zero otherwise. Do you have any suggestions on which variable should be compared with this new generated variable in order to
generate another variable that takes value one whether the HIGHEST qualification achieve by the individual is a vocational qualification rather than
academic?

For how it concerns the year of birth for children, | don't think | can use the variable mnpid for the Harmonized BHPS since only mnpid_bh is
available in indall.dta. However, while mnpid in the Understanding Society is the natural mother pidp, mnpid_bh (HBHPS) is the natural mother pid.
The latter should be the personal identifier, while the pidp is the cross-wave identifier. | think this is the reason why Alina's code is not working with
the harmonized version (My problem with bw_birthy was for all the waves).

So probably instead of using pidp w_birthy and mnpid as for the Understanding Society, for the Harmonized BHPS i should use pid w_birthy and
mnpid_bh, doing the following (I tried to keep even the pidp variable so that | would be able to match the new dta with indiresp.dta.):

foreachwinabcdefghijklmnopqr{

use pidp pid b’w'_birthy b’w'_mnpid_bh using b’w'_indall, clear
save temp, replace

use temp, clear

keep pid b’'w'_mnpid_bh

keep if b’'w'_mnpid_bh>0 & b’'w'_mnpid_bh<.
rename pid kpid

rename b'w'_mnpid_bh pid

merge m:1 pid using temp, keepus (b w'
drop if _m==2

drop _m

_birthy pidp)

rename b 'w'_birthy b 'w'_mbirthy
keep pid kpid b w'_mbirthy
rename pid b w'_mnpid_bh
rename kpid pid
merge 1:1 pid using temp
drop if _m==
drop _m

rename b w'_birthy b w'_kbirthy
rename pid kpid
rename b w'_mnpid_bh pid
save b 'w'_mother_child, replace
}
Any comments are more than appreciated.

Thank you very much

Maria

#6 - 03/09/2020 05:39 PM - Stephanie Auty
- % Done changed from 60 to 70

Dear Maria,

You may want to compare your created variable or w_gfvoc1-16 with either w_hiqual_dv or w_gfhigh_dv, but you will need to investigate which
vocational qualifications are a higher qualification than the academic qualifications.

| see now that the family identifiers have not yet been harmonised, so yes, using pid and bw_mnpid_bh is one solution. You could also use xwavedat
(or indall within a wave) to merge the mother's pidp using the mother's pid, if you wanted to work with pidp.

Are you now getting results that make sense for the birth year?

Best wishes,
Stephanie

#7 - 10/13/2021 11:59 AM - Understanding Society User Support Team
- Status changed from Feedback to Resolved

- Assignee deleted (Maria Petrillo)

- % Done changed from 70 to 100
